package com.ruoyi.ems.mapper;

import java.util.List;
import com.ruoyi.ems.domain.ElecStoreH;

/**
 * 储能计量-小时Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
public interface EmsElecStoreHMapper
{
    /**
     * 查询储能计量-小时
     * 
     * @param id 储能计量-小时主键
     * @return 储能计量-小时
     */
     ElecStoreH selectEmsElecStoreHById(Long id);

    /**
     * 查询储能计量-小时列表
     * 
     * @param admEmsElecStoreH 储能计量-小时
     * @return 储能计量-小时集合
     */
     List<ElecStoreH> selectEmsElecStoreHList(ElecStoreH admEmsElecStoreH);

    /**
     * 新增储能计量-小时
     * 
     * @param admEmsElecStoreH 储能计量-小时
     * @return 结果
     */
     int insertEmsElecStoreH(ElecStoreH admEmsElecStoreH);

    /**
     * 修改储能计量-小时
     * 
     * @param admEmsElecStoreH 储能计量-小时
     * @return 结果
     */
     int updateEmsElecStoreH(ElecStoreH admEmsElecStoreH);

    /**
     * 删除储能计量-小时
     * 
     * @param id 储能计量-小时主键
     * @return 结果
     */
     int deleteEmsElecStoreHById(Long id);

    /**
     * 批量删除储能计量-小时
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteEmsElecStoreHByIds(Long[] ids);
}
